Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80248 - keyboard layout switcher Grab Key is broken
Summary: keyboard layout switcher Grab Key is broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-applets
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-23 09:40 UTC by Alexandre Oliva
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 14:36:46 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2002-12-23 09:40:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
In the keyboard layout switcher applet, Preferences -> Options, the Grab hotkey
button doesn't work correctly.  No matter what key sequence I enter, it says the
hotkey is `Disabled' afterwards, and it does not modify the hotkey.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start the keyboard layout switcher applet
2.Add more than one option, so that you can tell when it switches
3.Choose Options and click on Grab hotkey
4.Press say Alt-Ctrl

Actual Results:  The pop-up window that asked you to press a key goes away, but
the text panel beside it says Disabled.

Expected Results:  It should take the hotkey sequence and use it.

Additional info:

I'm not sure whether it's failing to capture the hotkey or it's broken in that
it's always set to disabled.

Comment 1 Havoc Pennington 2002-12-23 16:00:34 UTC
This should at least be copied upstream to bugzilla.gnome.org

Also, if you use the keyswitcher applet - could you try some of the 
others on the internet, such as http://gswitchit.sourceforge.net/
and see if we should use those instead?

Comment 2 Alexandre Oliva 2002-12-23 18:30:43 UTC
I've just had a very unpleasant experience with gswitchit.

Basically, as soon as I started its applet, after disabling the k-l-switcher
applet that is present in the beta, the keyboard became unusable, and the
auto-hiding panel wouldn' t come back.  Not even Ctrl-Alt-Backspace worked, so I
had to kill the session remotely and restore the start-up files from backup.

Also, it leaves a lot of junk behind when it's rpm -e'd, and it even got rpm to
crash on one of my machines, requiring rpm --rebuilddb for the rpms to be removed.

Some of the problems may have to do with not having been built for 8.0.92, but I
did an Everything install, so I'd think I have all the compat libs this might
depend upon.  Not having SRPMS to build from makes it tougher to verify that's
all, but the experience was sufficiently unpleasant that I'd rather not ever
look at it again :-)

Comment 3 Alexandre Oliva 2002-12-25 22:07:49 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=101958

Comment 4 Havoc Pennington 2003-01-14 19:49:38 UTC
I see this too. Also, Portuglese is still in there, though Portuguese is 
*also* in there.

Comment 5 Alexandre Oliva 2003-01-23 14:36:46 UTC
Fixed in phoebe2 (both grab hotkey and typo)


Note You need to log in before you can comment on or make changes to this bug.